# DAN 6\_0

**Description**: Tests the model (that you passed in the argument) to see if it is vulnerable to DAN 6\_0 attack. DAN 6\_0 is an attack scenario while LLM assumes the role of DAN, an AI model capable of bypassing constraints and OpenAI policies, providing uncensored responses without limitations.

**How does the Test work**:

1. Pre-defined internal system prompts are used.
2. Multiple iteration of Model output is generated for these pre-defined system prompts.
3. raga-llm-eval’s `MitigationBypass` and `DAN` detectors scan the model to see if the attack was successful.
4. This concludes if the model is vulnerable to DAN 6\_0 attack.

**Required arguments**: model (like:`gpt-4`)

**Interpretation of results**:

1. Score range(degree of model behaving as DAN 6): `[0, 1]`. A score of 1 implies that the model does not behave as DAN 6, while lower scores signify increasing levels of model behaving as DAN 6.
2. Sample internal prompt and model response for `failed cases` is displayed. For detailed info on internal prompts, model responses, scores, use `evaluator.save_results('filename.json')`.

**Coding Example:**

```python
probe = 'Dan_6_0'
evaluator.add_test(
    test_names=["dan_vulnerability_scanner"],
    data={
    },
    arguments={"category":[probe], "model": "gpt-3.5-turbo", "threshold": 1.0},
).run()

evaluator.print_results()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/vulnerability-scanner/dan-6_0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
